package com.gree.mall.contest.bean.coupon;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class CouponDataBean {

    @Schema(description = "用券总成交额")
    private BigDecimal totalSaleValue;

    @Schema(description = "优惠总金额")
    private BigDecimal totalDiscountValue;

    @Schema(description = "购买商品件数")
    private int buyGoodsCount;

    @Schema(description = "购买商品明细")
    private List<BuyGoodsInfo> buyGoodsInfoList;

}
