package com.gree.mall.contest.bean.merchant;

import com.gree.mall.contest.plus.entity.WebsitApply;
import com.gree.mall.contest.plus.entity.WebsitApplyArea;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class WebsitApplyAdd extends WebsitApply {

    @Schema(description = "大类id")
    private List<String> categoryIds;

    @Schema(description = "区域list")
    private List<WebsitApplyArea> websitApplyAreaList;
}
