package com.gree.mall.contest.bean.promotion;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PromotionLuckDrawExchangeDetail {

    @Schema(description = "活动名称")
    private String name;
    @Schema(description = "奖品")
    private String couponName;
    @Schema(description = "活动开始时间")
    private Date startTime;
    @Schema(description = "活动结束时间")
    private Date endTime;
    @Schema(description = "使用开始时间")
    private Date useStartTime;
    @Schema(description = "使用结束时间")
    private Date useEndTime;
    @Schema(description = "使用条件")
    private String useRemark;
    @Schema(description = "活动说明")
    private String remark;

    @Schema(description = "是否兑换true/false")
    private Boolean status;
    @Schema(description = "是否使用true/false")
    private Boolean use;
    @Schema(description = "使用时间")
    private Date useTime;
    @Schema(description = "兑换时间")
    private Date userExchangeTime;
    @Schema(description = "满减券需满足金额")
    private BigDecimal orderLimitAmount;
    @Schema(description = "券类型 SATISFY=满减券 GOODS=商品券 DISCOUNT=折扣券")
    private String couponType;

}
