package com.gree.mall.contest.enums.manage;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum NotifyTypeEnum implements BaseEnum {
    NOTIFY("NOTIFY","通知公告"),
    NEWS("NEWS","消息"),
            ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
