package com.gree.mall.contest.enums.merchant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum MerchantStatusEnum implements BaseEnum, IEnum<Integer> {
    A("0", "无效"),
    B("1", "有效"),
    C("2", "终止合作"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;


    @Override
    public Integer getValue() {
        return Integer.parseInt(key);
    }
}