package com.gree.mall.contest.bean.admin;

import com.gree.mall.contest.plus.entity.AdminUser;
import com.gree.mall.contest.plus.entity.Merchant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class AdminUserBean extends AdminUser {

    private String token;

    @Schema(description = "token到期时间")
    private Date expireTimeToken;

    @Schema(description = "商家")
    private Merchant merchant;
}
