package com.gree.mall.contest.bean.coupon;

import com.gree.mall.contest.plus.entity.CouponUser;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class CouponUserBean extends CouponUser {
    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "手机号")
    private String mobile;

    @Schema(description = "性别")
    private String sex;

    @Schema(description = "头像")
    private String avatar;

    @Schema(description = "用户类型")
    private String type;

    @Schema(description = "国家")
    private String country;

    @Schema(description = "省")
    private String province;

    @Schema(description = "市")
    private String city;

}
