package com.gree.mall.contest.bean.order;

import com.gree.mall.contest.plus.entity.ShoppingCart;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ShoppingCartList extends ShoppingCart {

    @Schema(description = "单价")
    private BigDecimal price;
    @Schema(description = "商品名称")
    private String goodsName;
    @Schema(description = "划线价格")
    private BigDecimal orgPrice;
    @Schema(description = "规格值")
    private String specValue;
    @Schema(description = "当前商品总价(单价*数量)")
    private BigDecimal totalPrice;
    @Schema(description = "商品图")
    private String goodsImg;

}
