package com.gree.mall.contest.enums.manage;

import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.Getter;

@Getter
public enum PopStatusEnum implements BaseEnum {
    SAVE("SAVE","保存"),
    OK("OK","发布"),
    CANCEL("CANCEL","取消"),
    EXPIRE("EXPIRE","已过期"),
    ;

    PopStatusEnum(String key, String remark) {
        this.key=key;this.remark = remark;
    }
    private String key;
    private String remark;
}
